[
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'FirstJasper'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: true.",
    "raw_xml": "<group name=\"CountryGroup\" reprintHeaderOnEachPage=\"true\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"0d5b92e0-b24d-4223-9071-deee35fbc758\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"9f8585df-e218-4084-baf2-6d190021be29\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.csv.column.name\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.csv.repeat.value\" value=\"true\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.xls.column.name\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.xls.repeat.value\" value=\"true\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.repeat.value\" value=\"true\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"254c0049-75db-4c42-b1c4-37fece7d83d6\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t\t<patternExpression>\"EEE, MMM d, yyyy\"</patternExpression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"staticText\" uuid=\"76d5ea80-be06-4299-96fa-42b1539e5e27\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"1912d763-3225-43cb-a0e6-70b9b652b924\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"4eedb1b0-9df7-49e0-9320-a0149f858533\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"100\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"86120d11-e64e-490e-98f4-3fc68a844cfb\" mode=\"Opaque\" x=\"170\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"42629765-1733-46b9-9b8d-3bf4c7590834\" mode=\"Opaque\" x=\"230\" y=\"0\" width=\"40\" height=\"11\" backcolor=\"#C0C0C0\" evaluationTime=\"Auto\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>msg(\"{0,number,0.00}%\", 100d * $V{FreightSumCountryGroup} / $V{FreightSumFirstLetterGroup})</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'FirstJasper' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "true"
    }
  },
  {
    "chunk_id": 25,
    "chunk_type": "group",
    "human_description": "This is group 'CountryGroup' definition for report 'FirstJasper'. Group expression: $F{ShipCountry}. Has groupHeader: Yes, has groupFooter: Yes. Min height: 0, start new column: false, reprint header: true.",
    "raw_xml": "<group name=\"CountryGroup\" reprintHeaderOnEachPage=\"true\">\n\t\t<expression>$F{ShipCountry}</expression>\n\t\t<groupHeader>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"line\" uuid=\"0d5b92e0-b24d-4223-9071-deee35fbc758\" x=\"0\" y=\"14\" width=\"270\" height=\"1\" />\n\t\t\t\t<element kind=\"textField\" uuid=\"9f8585df-e218-4084-baf2-6d190021be29\" x=\"10\" y=\"2\" width=\"150\" height=\"11\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$F{ShipCountry}</expression>\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.csv.column.name\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.csv.repeat.value\" value=\"true\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.xls.column.name\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.xls.repeat.value\" value=\"true\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.path\" value=\"ShipCountry\" />\n\t\t\t\t\t<property name=\"net.sf.jasperreports.export.json.repeat.value\" value=\"true\" />\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"254c0049-75db-4c42-b1c4-37fece7d83d6\" x=\"170\" y=\"2\" width=\"100\" height=\"11\" evaluationTime=\"Group\" evaluationGroup=\"CountryGroup\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{DateHighestCountryGroup}</expression>\n\t\t\t\t\t<patternExpression>\"EEE, MMM d, yyyy\"</patternExpression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupHeader>\n\t\t<groupFooter>\n\t\t\t<band height=\"15\">\n\t\t\t\t<element kind=\"staticText\" uuid=\"76d5ea80-be06-4299-96fa-42b1539e5e27\" mode=\"Opaque\" x=\"0\" y=\"0\" width=\"45\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Count :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"1912d763-3225-43cb-a0e6-70b9b652b924\" mode=\"Opaque\" x=\"45\" y=\"0\" width=\"25\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{CountryGroup_COUNT}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"staticText\" uuid=\"4eedb1b0-9df7-49e0-9320-a0149f858533\" mode=\"Opaque\" x=\"70\" y=\"0\" width=\"100\" height=\"11\" backcolor=\"#C0C0C0\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<text>Total :</text>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"86120d11-e64e-490e-98f4-3fc68a844cfb\" mode=\"Opaque\" x=\"170\" y=\"0\" width=\"60\" height=\"11\" backcolor=\"#C0C0C0\" pattern=\"0.00\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>$V{FreightSumCountryGroup}</expression>\n\t\t\t\t</element>\n\t\t\t\t<element kind=\"textField\" uuid=\"42629765-1733-46b9-9b8d-3bf4c7590834\" mode=\"Opaque\" x=\"230\" y=\"0\" width=\"40\" height=\"11\" backcolor=\"#C0C0C0\" evaluationTime=\"Auto\" hTextAlign=\"Right\" style=\"Sans_Bold\">\n\t\t\t\t\t<expression>msg(\"{0,number,0.00}%\", 100d * $V{FreightSumCountryGroup} / $V{FreightSumFirstLetterGroup})</expression>\n\t\t\t\t</element>\n\t\t\t</band>\n\t\t</groupFooter>\n\t</group>\n\t",
    "context": "Report 'FirstJasper' group 'CountryGroup'",
    "metadata": {
      "group_name": "CountryGroup",
      "expression": "$F{ShipCountry}",
      "has_header": true,
      "has_footer": true,
      "minHeightToStartNewPage": "0",
      "startNewColumn": "false",
      "reprintHeaderOnEachPage": "true"
    }
  }
]